using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Castle.ActiveRecord.Framework;
using Castle.ActiveRecord.Framework.Config;
using Castle.ActiveRecord;
using System.Reflection;

namespace ManyToOneExample
{
    class Program
    {
        static void Main( string[] args )
        {
            IConfigurationSource source = ActiveRecordSectionHandler.Instance;
            ActiveRecordStarter.Initialize( Assembly.GetAssembly( typeof( Program ) ), source );
            ActiveRecordStarter.DropSchema();
            ActiveRecordStarter.CreateSchema();

            var j1 = new Jednostka { Nazwa = "Warszawa" };
            var j2 = new Jednostka { Nazwa = "Kraków" };
            var o1 = new Osoba { ImieNazwisko = "JK1" };
            var o2 = new Osoba { ImieNazwisko = "JK2" };
            var o3 = new Osoba { ImieNazwisko = "JK3" };
            var o4 = new Osoba { ImieNazwisko = "JK4" };
            //j1.L_Osoba.Add( o1 );
            //j1.L_Osoba.Add( o2 );
            //j2.L_Osoba.Add( o3 );
            //j2.L_Osoba.Add( o4 );
            //j1.Save();
            //j2.Save();

            o1.Jednostka = j1;
            o2.Jednostka = j1;
            o3.Jednostka = j2;
            o4.Jednostka = j2;
            o1.Save();
            o2.Save();
            o3.Save();
            o4.Save();
        }
    }
}
